import { jsx } from "react/jsx-runtime";
import { TokenBTM as TokenBTM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBTM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "BTM", "data-name": "TokenBTM", ...props, children: /* @__PURE__ */ jsx(TokenBTM$1, { variant }) });
  }
);
TokenBTM.displayName = "TokenBTM";
Object.assign(TokenBTM, { isGdsIcon: true });
export {
  TokenBTM
};
